library(shiny)
library(ggplot2)
data(iris)

shinyServer(function(input, output) {

  #̓p[^ς邽тɎs
  dataInput <- reactive({
    iris_sel <- iris[sample(1:nrow(iris), input$n), ]
    return(iris_sel)
  })

  #ggplot̓data.frameƂāÅ֐dataInput()̖߂lg
  output$plot <- renderPlot({
    ggplot(dataInput(), aes(x = Sepal.Length, y = Petal.Length)) + geom_point(aes(colour = Species))
  })
})