library(dplyr)
library(ggplot2)
# NX^ւ̕(NX^=3)
ct.cars <- cutree(hc.cars, k = 3)
# NX^ԍ̌
cars.hc <- cars %>% mutate(cluster = factor(ct.cars, levels = 1:3))
# _̐FNX^ԍƂUz}̃vbg
p <- ggplot(data = cars.hc, aes(x = speed, y = dist, colour = cluster,
    shape = cluster)) + geom_point(aes(shape = cluster))
print(p)