library(dendextend)
library(MASS)
data(Boston)
# Bostonf[^Zbg̍sւ̕ϊ
Boston.mat <- Boston %>% as.matrix
# s̃fhO̐ݒ
Rowv <- Boston.mat %>%
          scale %>%
          dist %>%
          hclust(method="ward.D2") %>%
          as.dendrogram %>%
          set("branches_k_color", k=3) %>%
          set("branches_lwd", 2) %>%
          ladderize
# ̃fhO̐ݒ
Colv <- Boston.mat %>%
          t %>%
          scale %>%
          dist %>%
          hclust(method="ward.D2") %>%
          as.dendrogram %>%
          set("branches_k_color", k=2) %>%
          set("branches_lwd", 2) %>%
          ladderize
# q[g}bṽvbg
heatmap.2(Boston.mat, Rowv=Rowv, Colv=Colv, scale="column")