# ui.R
library(shiny)
library(shinydashboard)

# wb_
header <- dashboardHeader(title = "ヌ|[g")

# TCho[
sidebar <- dashboardSidebar(
   sidebarMenu(
      menuItem("_bV{[h", tabName = "dashboard", icon = icon("dashboard")),
      menuItem("f[^", tabName = "raw_data", icon = icon("th"))
   )
)

# {fB
# _bV{[h^u
dashboard_tab <- tabItem(
   "dashboard",
   fluidRow(
      infoBox(
         title = "㐄",
         icon = icon("jpy"),
         plotOutput("graph", height = 280),
         width = 12
      )
   )
)
# f[^^u
table_tab <- tabItem(
   "raw_data",
   fluidRow(
      box(
         downloadLink("download"),
         width = 3
      ),
      box(
         title = "㐄",
         DT::dataTableOutput("table"),
         width = 12
      )
   )
)
body <- dashboardBody(
   tabItems(dashboard_tab, table_tab)
)

dashboardPage(header, sidebar, body)